<?php
namespace Services;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO;
use \Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class ExportaConfiguracaoVooProcedure extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'COPIA_ITEMFAT_VOO_VIGENCIA') {
		parent::__construct($connection, $procedureName);
	}

	public function copiaItemfatVoo($cdfilial, $cdcia, $nrvooori, $cdtrechoori, $sequencial, $nrvoodes, $datavigencia, $cdoperador, $nrorg) {
		$this->addParam(new Param('P_CDFILIAL', 				Param::PARAM_INPUT,  $cdfilial));
		$this->addParam(new Param('P_CDCIA',  					Param::PARAM_INPUT,  $cdcia));
		$this->addParam(new Param('P_NRVOOORI', 				Param::PARAM_INPUT,  $nrvooori));
		$this->addParam(new Param('P_CDTRECHOORI', 				Param::PARAM_INPUT,  $cdtrechoori));
		$this->addParam(new Param('P_NRSEQPADVOOTREMDATAORI', 	Param::PARAM_INPUT,  $sequencial));
		$this->addParam(new Param('P_NRVOODES',					Param::PARAM_INPUT,  $nrvoodes));
		$this->addParam(new Param('P_DTINIVIGENCIA',			Param::PARAM_INPUT,  $datavigencia));
		$this->addParam(new Param('P_CDOPERADOR', 				Param::PARAM_INPUT,  $cdoperador));
		$this->addParam(new Param('P_NRORG', 					Param::PARAM_INPUT,  $nrorg));
	    
	    $this->execute();
		$this->params = array();
	}
}