<?php

/**
* 05/10/2016
* @author Fabio Pereira
*/

namespace Services;

use Teknisa\GER\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DTO\Response;
use Inflightor\Util\MessagesProcedureInflightor;

class GerarPlanoVooService extends TeknisaCrud
{

    protected $entityManager;
    protected $crudService;
    protected $messagesProcedure;

    public function __construct ($messagesProcedure, $crudService, $entityManager)
    {
    	$this->messagesProcedure = $messagesProcedure;
        $this->crudService = $crudService;
        $this->entityManager = $entityManager;
    }

	public function concatErrorMessages($cdfilial, $nrlista, $arrayMessages = [], $header = null){

		$sql = "SELECT DISTINCT * FROM LISTAERROS WHERE CDFILIAL = :CDFILIAL AND NRLISTA = :NRLISTA ORDER BY DSERRO";

		$params = array
		(
			"CDFILIAL" => $cdfilial,
			"NRLISTA"  => $nrlista
		);

		$query = $this->entityManager->getConnection()->prepare($sql);
        $query->execute($params);
        $result = $query->fetchAll();

        $erros = array();
        if($header){
        	array_push($erros, '-> '.$header);
        }

        for ($i = 0; $i < count($result); $i++) {
		    $resultado = $this->messagesProcedure->cleanMessage($result[$i]['DSERRO']);
		    array_push($erros, $resultado);
		};
		$sqlDelete = "DELETE FROM LISTAERROS WHERE CDFILIAL = :CDFILIAL AND NRLISTA = :NRLISTA";

		$queryDelete = $this->entityManager->getConnection()->prepare($sqlDelete);
        $queryDelete->execute($params);
        
        $arrayMessages = array_merge($arrayMessages, $erros);

        return $arrayMessages;
	}
}